import React, {useEffect} from 'react';
import {View, Image, Text, StyleSheet} from 'react-native';
import ic_circle from '../assets/images/ic_circle.png';
import ic_game from '../assets/images/ic_game.png';
import img_complete from '../assets/images/img_complete.png';

export default (props) => {
  const {route} = props;

  useEffect(() => {
    setTimeout(() => {
      if (route) {
        route.params?.nav.goBack();
      }
    }, 2000);
  });

  return (
    <View style={styles.container}>
      <Image source={ic_circle} style={styles.icCircle} />
      <Image source={ic_game} style={styles.icGame} />
      <Image
        source={img_complete}
        style={styles.imgCenter}
        resizeMode="contain"
      />
      <Text style={styles.txtCongratulation}>Congratulations</Text>
      <Text style={styles.txtContent}>
        Lorem Ipsum is simply dummy text of the printing and typesetting
        industry.
      </Text>
    </View>
  );
};

const styles = StyleSheet.create({
  container: {
    flex: 1,
    backgroundColor: 'white',
    alignItems: 'center',
    justifyContent: 'center',
  },
  imgCenter: {
    height: 400,
  },
  txtCongratulation: {
    color: '#1C20BF',
    fontSize: 32,
    marginTop: 20,
    marginBottom: 8,
    fontWeight: 'bold',
  },
  txtContent: {
    fontSize: 16,
    color: 'black',
    marginBottom: 30,
  },
  icCircle: {
    position: 'absolute',
    left: 0,
    top: '10%',
  },
  icGame: {
    position: 'absolute',
    right: 0,
    bottom: '15%',
  },
});
